package com.kfb.kfbv1.model;

import android.os.Handler;
import android.widget.ProgressBar;
import android.widget.TextView;

import com.kfb.kfbv1.KfbProgrsBar;
import com.kfb.kfbv1.MyItemRecyclerViewAdapter;



public class KfbModel {
    private static KfbModel mmodel;

    public static KfbModel getData()
    {
        if(mmodel==null)
        {
            mmodel = new KfbModel();
        }
        return mmodel;
    }

    private KfbModel()
    {
        mGates = new KfbGates();
    }
    // data private
    private KfbGates mGates;
    private MyItemRecyclerViewAdapter mAdapter;
    // data
    public boolean sendHttp;
    public KfbProgrsBar progresBar;
    public String  tekser;
    public boolean error;
    public Handler handler;
 public String url;

    public MyItemRecyclerViewAdapter getmAdapter() {
        return mAdapter;
    }

    public void setmAdapter(MyItemRecyclerViewAdapter mAdapter) {
        this.mAdapter = mAdapter;
    }

    public KfbGates getGates(){
        return mGates;
    }
}
